--[[
@title char input
@param f key delay
@default f 200
]]

require("getkey")
key_delay = f
output=""

key_names={
	"remote",
	"set",
	"erase",
	"display",
	"menu",
	"up",
	"down",
	"left",
	"right",
	"zoom_in",
	"zoom_out"
}

function button()
	while true do -- loop skips unknown keys
		wait_click() -- wait forever
		for i,name in ipairs(key_names) do
			if is_pressed(name) then
				set_led (8,1)
				sleep (10)
				set_led (8,0)
				return name
			end
		end
	end
end

function tabToStr()
	output=table.concat(word)
end

function input()

	abc_lower = {"a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p",
								"q","r","s","t","u","v","w","x","y","z"}
	abc_upper = {"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P",
								"Q","R","S","T","U","V","W","X","Y","Z"}
	abc_spec = {"0","1","2","3","4","5","6","7","8","9",",",".","-",";",":","_",
							"/",".JPG",".CRW",".CR2",".THM",".WAV",".LUA",".BAS",".TXT"," "}
	word = {}
	a=0
	b=0
	actChar=""
	repeat
		print("[<-][->][SET] [+/-][MENU]")
		print("[ZOOM in/out]  [UP][DOWN]")
		key = button()
		cls()
		if key == "right" then a=a+1 end
		if key == "left" then a=a-1 end
		if key == "up" then b=b+1 end
		if key == "down" then a=1 end
		if key == "zoom_in" then a=a+5 end
		if key == "zoom_out" then a=a-5 end
		if a >= 27 then a=1 end
		if a <= 0  then a=26 end
		if b>=3 then b=0 end
		if b==0 then
				actChar=abc_lower[a]
				char_info="lower case"
			end
			if b==1 then
				actChar=abc_upper[a]
				char_info="upper case"
			end
			if b==2 then
				actChar=abc_spec[a]
				char_info="special char"
			end
			print(char_info..": "..actChar)
		if key == "set" then table.insert(word,actChar) end
		if key == "erase" then table.remove(word) end
		tabToStr()
		print("input: "..output)
		print (" ")
	until key == "MENU"
end

function make_dir(dirname)
	os.mkdir(dirname)
end


x=0
repeat
  input()
  cls()
  print("INPUT: "..output)
  print("[SET]  new input")
  print("[DISP] make dir and stop")
  print("[MENU] stop")
  button()
  if key == "set" then cls() end
  if key == "display" then
	  dir = "A/"..output
	  make_dir(dir)
	  print "ready"
	  sleep(3000)
	  x=1
  end
  if key == "menu" then
		print "ready"
	  sleep(3000)
	  x=1
  end
until x==1

--[[

***possible commands***

function make_dir(dirname)
	os.mkdir(dirname)
end

function delete_dir(dirname)
	os.remove(dirname)
end

function rename_file(old_filename, new_filename)
	os.rename(old_filename, new_filename)
end

function delete_file(filename)
	os.remove(filename)
end

***missing commands***

-os.list_dir

]]
